---
updatedAt: 2026-06-17T15:45:57.000Z
agentTools:
  projectIndex: https://docs.record360.com/llms.txt
---

# List units

Returns a list of allowed units.


# OpenAPI definition

````json
{
  "openapi": "3.1.1",
  "info": {
    "title": "Record360 Integration API",
    "summary": "Record360's premier RESTful API for powering integrations for customers, partners, and vendors.",
    "version": "3.20250213",
    "termsOfService": "https://record360.com/terms/",
    "contact": {
      "name": "Support",
      "url": "https://record360.zendesk.com/hc/en-us",
      "email": "support@record360.com"
    },
    "x-logo": {
      "url": "https://record360.com/wp-content/uploads/2021/11/Record_logo-nneeww.svg",
      "altText": "Record360 logo"
    },
    "description": "# Introduction\nThe Record360 Integration API - also known as the v3 REST API - uses standard http verbs to communicate and http status codes to indicate status and error. All responses come in standard JSON. The API is served over HTTPS to ensure data privacy; HTTP is not supported.\n\n## Backwards-compatible changes\nWe consider the following changes to be backwards-compatible:\n  - Adding new API resources.\n  - Adding new optional request parameters to existing API methods.\n  - Adding new optional properties to existing API request bodies.\n  - Making required properties in existing API request bodies optional.\n  - Adding new properties to existing API responses.\n  - Changing the order of properties in existing API responses.\n  - Changing the length or format of object IDs or other opaque strings.\n    - Ensure that your integration can handle Record360-generated object IDs, which can contain up to 255 characters. For example, if you're using MySQL, store the IDs in a `VARCHAR(255) COLLATE utf8_bin` column (the COLLATE configuration provides case-sensitivity during lookups).\n  - Adding new event types.\n    - Ensure that your webhook listener gracefully handles unfamiliar event types.\n\n# Authentication\nFor requests which require authentication, the Integration API uses an API key security scheme utilizing a pair of keys, a secret key and key id, as headers. If your Key ID or Secret Key cannot be validated, a `401` status code is returned. If either header is not provided, a `401` status code is also returned.\n\nExample:\n```\n  curl -i -H \"api-key-id: 3e50cee3-0548-4805-95e8-cb49659f968f\" \\\n          -H \"api-key-secret: FrV1234\"\n          https://api.record360.com/v3/units\n```\n  <SecurityDefinitions />\n\n# Rate Limiting\nRecord360 enforces a default rate limit of 100 requests per 10 seconds per IP. Rate limit may be increased to 200 requests per 10 seconds per IP upon discussion. If the rate limit is exceeded, a `429` response is returned with a `Retry-After` header that indicates when requests will be allowed for that client again.\n\n# Errors\nRecord360 uses standard HTTP status codes to indicate request success or failure. When present, the body of the response will be JSON in the following format:\n  ```\n  {\n    \"errors\": \"The Unit A-001 could not be found\"\n  }\n  ```\n\n# Beta features\nRecord360 may provide new API features via beta features. This allows early adopters to opt-in for the latest and greatest and for us to collect feedback before a feature is made generally available (GA). We believe in stability without stagnation. Beta testing allows our team to build and ship best-in-class APIs faster, while upholding backwards-compatibility on GA features.\n\nBeta features are subject to change, and thus, are exempt from any backwards-compatibility guarantees. We do not expect nor recommend using experimental features in production environments except when our teams are working closely together.\n\nBeta features are marked with a badge on the dev portal when viewing the endpoint or feature page.\n"
  },
  "servers": [
    {
      "url": "https://api.record360.com/v3",
      "description": "Production server"
    }
  ],
  "tags": [
    {
      "name": "Units",
      "x-displayName": "Units",
      "description": "Individual assets in the Company's inventory.\n"
    }
  ],
  "paths": {
    "/units": {
      "get": {
        "parameters": [
          {
            "$ref": "#/components/parameters/Page"
          },
          {
            "$ref": "#/components/parameters/PerPage"
          },
          {
            "name": "reference_number",
            "description": "Filter results by the reference number field. Reference numbers are unique within a Company.",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string",
              "maxLength": 255
            }
          },
          {
            "name": "serial_number",
            "description": "Filter results the serial number field. Serial numbers are identifiers provided by manufacturers.",
            "in": "query",
            "schema": {
              "type": "string",
              "maxLength": 255
            }
          }
        ],
        "operationId": "listUnits",
        "summary": "List units",
        "description": "Returns a list of allowed units.\n",
        "responses": {
          "200": {
            "description": "Resource list returned.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/Unit"
                      }
                    },
                    "paging": {
                      "$ref": "#/components/schemas/Paging"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        },
        "tags": [
          "Units"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "Page": {
        "name": "page",
        "description": "Requests a specific page of resources. Pages are specified with an base64 encoded cursor passed back in the paging object.",
        "in": "query",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "PerPage": {
        "name": "per_page",
        "description": "Specify the number of resources returned per page up to maximum of 100.",
        "in": "query",
        "required": false,
        "schema": {
          "type": "integer",
          "format": "int32",
          "maximum": 100
        }
      }
    },
    "schemas": {
      "Unit": {
        "type": "object",
        "properties": {
          "id": {
            "description": "The unique database identifier for a unit.",
            "type": "string",
            "format": "id"
          },
          "object": {
            "type": "string",
            "format": "enum",
            "enum": [
              "unit"
            ]
          },
          "reference_number": {
            "description": "The external reference number for a unit. This may be the serial number a unique identifier from another system, or other form of id that is unique and recognizable to users.",
            "type": "string"
          },
          "make": {
            "description": "The unit's manufacturer.",
            "type": "string"
          },
          "model": {
            "description": "The manufacturer's name or designation for the unit.",
            "type": "string"
          },
          "year": {
            "description": "The model year for the unit.",
            "type": "integer",
            "format": "date-fullyear",
            "minimum": 1800,
            "maximum": 9999
          },
          "vin": {
            "description": "The Vehicle Identification Number (VIN) created by the manufacturer and assigned by the regulatory agency, following ISO 3779 (content and structure) and ISO 4030 (location and attachment) standards — 17 digit alphanumeric string, prohibiting the letters `I`, `O`, and `Q`.",
            "type": "string",
            "format": "vin",
            "minLength": 17,
            "maxLength": 17
          },
          "serial_number": {
            "description": "The serial number identifier created by the manufacturer.",
            "type": "string"
          },
          "hours": {
            "description": "The value of the hours meter on the vehicle.",
            "type": "integer",
            "format": "int32",
            "minimum": 0
          },
          "odometer": {
            "description": "The odometer value of the vehicle, in statute miles.",
            "type": "integer",
            "format": "int64",
            "minimum": 0
          },
          "created_at": {
            "description": "The date and time at which the record was created, in ISO 8601 format. All times are UTC.",
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "description": "The date and time at which the record was updated, in ISO 8601 format. All times are UTC.",
            "type": "string",
            "format": "date-time"
          },
          "extended_data": {
            "description": "A JSON object containing other specifications for the unit, which may contain any number of custom fields.",
            "type": "object"
          }
        },
        "example": {
          "id": "43",
          "object": "unit",
          "reference_number": "WMWRF33519TW73378",
          "make": "MINI",
          "model": "COOPER S",
          "year": 2006,
          "hours": 4279,
          "serial_number": "9TW73378",
          "vin": "WMWRF33519TW73378",
          "odometer": 4279,
          "created_at": "2014-04-01T19:00:00.000Z",
          "updated_at": "2024-10-08T09:41:00.000Z",
          "extended_data": {
            "stock_number": "AB12354"
          }
        }
      },
      "Paging": {
        "description": "Metadata for paging through list responses.",
        "type": "object",
        "properties": {
          "per_page": {
            "description": "The maximum number of resources returned per page. Defaults to `25`.",
            "type": "integer",
            "default": 25,
            "maximum": 100
          },
          "next": {
            "description": "A fully qualified URL, with a base64 encoded cursor, to the next page.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "examples": [
          {
            "per_page": 25,
            "next": "https://api.record360.com/v3/units?page=eyJpZCI6MTMxNDEzMDN9&per_page=25"
          },
          {
            "per_page": 25,
            "next": "http://api.record360.com/v3/inspections?page=eyJpZCI6MTMxNDEzMDN9&per_page=25"
          }
        ]
      }
    },
    "responses": {
      "401": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "errors": {
                  "description": "A descriptive error message.",
                  "type": "string"
                }
              },
              "example": {
                "errors": "Invalid credentials provided. Please contact R360 Support."
              }
            }
          }
        }
      },
      "403": {
        "description": "Access denied due to insufficient permissions",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "errors": {
                  "description": "A descriptive error message.",
                  "type": "string"
                }
              },
              "example": {
                "errors": "Insufficient permissions. Please contact R360 Support."
              }
            }
          }
        }
      },
      "404": {
        "description": "Resource does not exist",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "errors": {
                  "description": "A descriptive error message.",
                  "type": "string"
                }
              },
              "example": {
                "errors": "Not found."
              }
            }
          }
        }
      },
      "429": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "errors": {
                  "description": "A descriptive error message.",
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "500": {
        "description": "Unexpected error",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "errors": {
                  "description": "A descriptive error message.",
                  "type": "string"
                }
              }
            }
          }
        }
      }
    },
    "securitySchemes": {
      "apiKeySecret": {
        "type": "apiKey",
        "name": "api-key-secret",
        "x-displayName": "Secret Key",
        "in": "header",
        "description": "A secret API key sent via the `api-key-secret` header. Your secret key is not stored after creation, and it should be treated as a password."
      },
      "apiKeyId": {
        "type": "apiKey",
        "name": "api-key-id",
        "x-displayName": "Key ID",
        "in": "header",
        "description": "A UUID sent via the `api-key-id` header. The API Key ID can be used to identify your API key."
      }
    }
  },
  "security": [
    {
      "apiKeySecret": [],
      "apiKeyId": []
    }
  ]
}
````